Katello - Bug #6944

validation error should be raised on creating a discovered repo with blank product name.
08/05/2014 03:04 PM - Partha Aji

Status: Closed
Priority: Normal
Assignee: Partha Aji
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1106434 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/453
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1106434

Description of problem:

| was trying repo-discovery in an org where no product was created.

Repo was successfully discovered from given url but when I clicked on create button without passing new product name, Ul didn't
throw any validation error.

Production.log raised an exception with error:

Processing by Katello::Api::V2::ProductsController#create as JSON

Parameters: {"organization_id"=>"5", "api_version"=>"v2", "product"=>{"organization_id"=>"5"}}

Validation failed: Name cannot be blank, Label can't be blank (ActiveRecord::Recordinvalid)
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:56:in “save!'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:33:in “save!'

Version-Release number of selected component (if applicable):
sat6 beta snap8 compose?2 (Satellite-6.0.3-RHEL-6-20140605)

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
No error on Ul.

Expected results:
The Error message logged in production.log should be raised on Ul too.

Validation failed: Name or Label cannot be blank.
Additional info:

Associated revisions

Revision 37048187 - 08/06/2014 06:58 PM - Partha Aji
Fixes #6944/bz1106434 - Fixed Repodiscovery product validation
Added code in the repo discovery page to validate new product.

Previously product errors like blank name invalid label etc would not
show up on the screen. This commit tries to address that.

Revision 852¢2953 - 08/06/2014 06:58 PM - Partha Aji
Fixes #6944/bz1106434 - Fixed Repodiscovery product validation
Added code in the repo discovery page to validate new product.
Previously product errors like blank name invalid label etc would not
show up on the screen. This commit tries to address that.

Revision 7b6a937f - 08/12/2014 01:47 PM - Partha Aji

Merge pull request #4531 from parthaa/repo-discovery

Fixes #6944/bz1106434 - Fixed Repodiscovery product validation
Revision 00df5476 - 08/12/2014 01:47 PM - Partha Aji

Merge pull request #4531 from parthaa/repo-discovery

Fixes #6944/bz1106434 - Fixed Repodiscovery product validation

History

#1 - 08/05/2014 03:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4531 added
- Pull request deleted ()

#2 - 08/05/2014 07:52 PM - Eric Helms
- Difficulty set to easy

#3 - 08/06/2014 06:54 AM - Eric Helms
- Triaged changed from No to Yes

#4 - 08/12/2014 02:01 PM - Partha Aji
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|37048f874db1db590fb07{3490bbee95a69a4827.

#5 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
